class SimpleVertex extends Vertex {
  String label;

  public SimpleVertex(String label) {
    this.label = label;
  }

  public PVector getPosition() {
    Vector2d pos = this.getPos();
    PVector position = new PVector((float)pos.x, (float)pos.y);
    return position;
  }

  void render() {
    PVector position = getPosition();

    // visual
    stroke(#003f91, 100);
    fill(#5da9e9, 100);

    circle(position.x, position.y, 10);

    fill(#003f91);
    textSize(8);

    text(label, position.x + 8, position.y + 8);
  }

  @Override
    public int hashCode() {
    final int prime = 31;
    int result = 1;
    result = prime * result
      + ((label == null) ? 0 : label.hashCode());
    return result;
  }

  @Override
    public boolean equals(final Object obj) {
    if (this == obj)
      return true;
    if (obj == null)
      return false;
    if (getClass() != obj.getClass())
      return false;
    final SimpleVertex other = (SimpleVertex) obj;
    if (label == null) {
      if (other.label != null)
        return false;
    } else if (!label.equals(other.label))
      return false;
    return true;
  }
}
